﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.Pdf;

namespace C1.Silverlight.DataGrid.PrintPreview
{
    public static class C1DataGridPreviewExtension
    {
        public static void PrintPreview(this C1DataGrid grid)
        {
            // print preview with default page settings
            grid.PrintPreview(new PageSettings()
            {
                Margins = new Thickness(72),
                ScaleMode = ScaleMode.PageWidth,
                IsLandscape = false,
                PaperKind = PaperKind.Letter,
                FooterLeftText = "[Date], [Time]",
                FooterRightText = "Page [Page] of [PageCount]",
                ShowHeaderSeparator = false,
                ShowFooterSeparator = true
            });
        }

        public static void PrintPreview(this C1DataGrid grid, PageSettings pageSettings)
        {
            PrintPreviewWindow ppw = new PrintPreviewWindow(grid, pageSettings);
            ppw.WindowState = C1WindowState.Maximized;
            ppw.Show();
        }

    }
}
